Bug 132389

Summary: Web Inspector: Ensure UIProcess checks in to webinspectord after spawning a WebProcess
Product: WebKit Reporter: Joseph Pecoraro <joepeck>
Component: Web InspectorAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: Basuke.Suzuki, commit-queue, graouts, joepeck, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
[PATCH] Proposed Fix none

Description Joseph Pecoraro 2014-04-30 10:47:17 PDT
Since we aggregate WebProcess WebViews under the UIProcess, debuggers were expecting the UIProcess to connect. In some situations it was not connecting so the views never showed up. We should always have the UIProcess connect to webinspectord if it is spawning a WebProcess.

<rdar://problem/16676218>
Comment 1 Joseph Pecoraro 2014-04-30 10:58:04 PDT
Created attachment 230495 [details]
[PATCH] Proposed Fix
Comment 2 WebKit Commit Bot 2014-04-30 12:29:47 PDT
Comment on attachment 230495 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 230495

Committed r168035: <http://trac.webkit.org/changeset/168035>
Comment 3 WebKit Commit Bot 2014-04-30 12:29:50 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Basuke Suzuki 2019-05-01 16:55:29 PDT
I cannot understand this patch, but is this XPC related? For WinCairo case, there seems no reason to instanciate RemoteInspector object in UIProcess.
Comment 5 Joseph Pecoraro 2019-05-02 20:57:06 PDT
(In reply to Basuke Suzuki from comment #4)
> I cannot understand this patch, but is this XPC related? For WinCairo case,
> there seems no reason to instanciate RemoteInspector object in UIProcess.

Yes this is XPC related for Cocoa platforms (encourage the UIProcess to connect to webinspectord when it creates a WebContentProcess that may have a page). This could be made PLATFORM(COCOA) if needed.